package cn.hmsoft.skill.data.model.school;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 学校所属市州(用于交通职业技术学院报表统计)
* @author: yfz
* @date: 2020-04-08 13:30:47
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "school_area", keyColumn =  "ID" , sequenceName = "")
public class SchoolArea implements Serializable{
	private static final long serialVersionUID = 5725070723051151826L;

	private Integer id;
	//学校名称
	private String school_name;
	//学校所在省份
	private String province;   
	//学校所在地市
	private String area;
	//学校所在县区
	private String region;
	//学校类型，中职、高中
	private String school_type;
	//录取人数
	private Integer admission_num;
	//报道人数
	private Integer reported_num;
	
	//批次
	private String batch;
	//学院
	private String    department;   
	//专业
	private String    major;    
	//计划数
	private Integer plan_num;
	//录取男生数
	private Integer admission_male_num;
	//录取女生数
	private Integer admission_female_num;
	// 报道男生数
	private Integer report_male_num;
	// 报道女生数
	private Integer report_female_num;
	//报道率=报道总数reported_num/录取总数admission_num
	private Integer registration_rate;  
	//数据所示年份
	private String year;
	//主校区数
	private Integer main_campus_num;
	//西校区数
	private Integer west_campus_num;
	//科类（只统计文史类、理工类）
	private String families;
	//录取最高分
	private Integer admission_max_score;
	//录取最低分
	private Integer admission_min_score;
	//录取平均分
	private Integer admission_average_score;
	//报道最高分
	private Integer reported_max_score;
	//报道最低分
	private Integer reported_min_score;
	//报道平均分
	private Integer reported_average_score;
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getSchool_name() {
		return school_name;
	}
	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getRegion() {
		return region;
	}
	public void setRegion(String region) {
		this.region = region;
	}
	public String getSchool_type() {
		return school_type;
	}
	public void setSchool_type(String school_type) {
		this.school_type = school_type;
	}
	public Integer getAdmission_num() {
		return admission_num;
	}
	public void setAdmission_num(Integer admission_num) {
		this.admission_num = admission_num;
	}
	public Integer getReported_num() {
		return reported_num;
	}
	public void setReported_num(Integer reported_num) {
		this.reported_num = reported_num;
	}
	public String getBatch() {
		return batch;
	}
	public void setBatch(String batch) {
		this.batch = batch;
	}
	public String getDepartment() {
		return department;
	}
	public void setDepartment(String department) {
		this.department = department;
	}
	public String getMajor() {
		return major;
	}
	public void setMajor(String major) {
		this.major = major;
	}
	public Integer getPlan_num() {
		return plan_num;
	}
	public void setPlan_num(Integer plan_num) {
		this.plan_num = plan_num;
	}
	public Integer getAdmission_male_num() {
		return admission_male_num;
	}
	public void setAdmission_male_num(Integer admission_male_num) {
		this.admission_male_num = admission_male_num;
	}
	public Integer getAdmission_female_num() {
		return admission_female_num;
	}
	public void setAdmission_female_num(Integer admission_female_num) {
		this.admission_female_num = admission_female_num;
	}
	public Integer getReport_male_num() {
		return report_male_num;
	}
	public void setReport_male_num(Integer report_male_num) {
		this.report_male_num = report_male_num;
	}
	public Integer getReport_female_num() {
		return report_female_num;
	}
	public void setReport_female_num(Integer report_female_num) {
		this.report_female_num = report_female_num;
	}
	public Integer getRegistration_rate() {
		return registration_rate;
	}
	public void setRegistration_rate(Integer registration_rate) {
		this.registration_rate = registration_rate;
	}
	public String getYear() {
		return year;
	}
	public void setYear(String year) {
		this.year = year;
	}
	public Integer getMain_campus_num() {
		return main_campus_num;
	}
	public void setMain_campus_num(Integer main_campus_num) {
		this.main_campus_num = main_campus_num;
	}
	public Integer getWest_campus_num() {
		return west_campus_num;
	}
	public void setWest_campus_num(Integer west_campus_num) {
		this.west_campus_num = west_campus_num;
	}
	public String getFamilies() {
		return families;
	}
	public void setFamilies(String families) {
		this.families = families;
	}
	public Integer getAdmission_max_score() {
		return admission_max_score;
	}
	public void setAdmission_max_score(Integer admission_max_score) {
		this.admission_max_score = admission_max_score;
	}
	public Integer getAdmission_min_score() {
		return admission_min_score;
	}
	public void setAdmission_min_score(Integer admission_min_score) {
		this.admission_min_score = admission_min_score;
	}
	public Integer getAdmission_average_score() {
		return admission_average_score;
	}
	public void setAdmission_average_score(Integer admission_average_score) {
		this.admission_average_score = admission_average_score;
	}
	public Integer getReported_max_score() {
		return reported_max_score;
	}
	public void setReported_max_score(Integer reported_max_score) {
		this.reported_max_score = reported_max_score;
	}
	public Integer getReported_min_score() {
		return reported_min_score;
	}
	public void setReported_min_score(Integer reported_min_score) {
		this.reported_min_score = reported_min_score;
	}
	public Integer getReported_average_score() {
		return reported_average_score;
	}
	public void setReported_average_score(Integer reported_average_score) {
		this.reported_average_score = reported_average_score;
	}
	
	
}